Skip to content

Search department

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

You can search by organization code, search keywords, search department, organization name, etc.

Method name

ManagementClient.search_departments

Request parameters

NameTypeIs it required?Default valueDescriptionSample value
keywordsstringyes-Search keywords, such as organization nameGenAuth
organizationCodestringyes-Organization codesteamory
withCustomDatabooleanno-Whether to obtain custom datatrue
tenantIdstringno-Tenant ID623c20b2a062aaaaf41b17da

Request Response

Type: DepartmentListRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
dataarrayResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "organizationCode": "steamory",
    "departmentId": "60b49eb83fd80adb96f26e68",
    "createdAt": "2022-07-03T03:20:30.000Z",
    "updatedAt": "2022-07-03T03:20:30.000Z",
    "openDepartmentId": "ou_7dab8a3d3cdccxxxxxx777c7ad535d62",
    "name": "RD",
    "leaderUserIds": "[\"60b49eb83fd80adb96f26e68\"]",
    "description": "RD desc",
    "parentDepartmentId": "6229c4deb3e4d8a20b6021ff",
    "code": "6229c4deb3e4d8a20b6021ff",
    "parentDepartmentCode": "test",
    "membersCount": 11,
    "hasChildren": true,
    "i18n": {
      "name": {
        "zh-CN": {
          "enabled": false,
          "value": "中文"
        },
        "en-US": {
          "enabled": false,
          "value": "English"
        }
      }
    },
    "customData": {
      "icon": "https://example.com/logo"
    },
    "postIdList": "[\"xxx\"]",
    "status": "false",
    "allow": "[\"xxx\"]"
  }
}

Data Structure

DepartmentDto

NameTypeIs it required?DescriptionSample value
organizationCodestringYesOrganization Code (organizationCode)steamory
departmentIdstringYesDepartment system ID (automatically generated by the GenAuth system, cannot be modified)60b49eb83fd80adb96f26e68
createdAtstringYesDepartment creation time2022-07-03T03:20:30.000Z
updatedAtstringNoModification time2022-07-03T03:20:30.000Z
openDepartmentIdstringNoCustom department ID, used to store custom IDsou_7dab8a3d3cdccxxxxxx777c7ad535d62
namestringYesDepartment nameDevelopment Department
leaderUserIdsarrayNoDepartment head ID["60b49eb83fd80adb96f26e68"]
descriptionstringNoDepartment descriptionTechnical R&D Department
parentDepartmentIdstringYesParent department ID, if it is the root department, pass root6229c4deb3e4d8a20b6021ff
codestringNoDepartment identification code6229c4deb3e4d8a20b6021ff
parentDepartmentCodestringyesparent department codetest
membersCountnumberyesnumber of department members (only direct members)11
hasChildrenbooleanyeswhether to include child departmentstrue
isVirtualNodebooleanNoIs it a virtual department?
i18nNoMulti-language settings Nested type: <a DepartmentI18nDto.{"name":{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}}
customDataobjectNoExtended field data of the department{"icon":"https://example.com/logo"}
postsarrayNoPositions associated with the department
postIdListarrayNoPosition id list["xxx"]
statusbooleanNoDepartment statusfalse
allowstringNoAccess restrictions["xxx"]

DepartmentI18nDto

NameTypeIs it required?DescriptionSample value
nameYesMulti-language-supported fields Nested type: <a LangObject.{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}

LangObject

NameTypeIs it required?DescriptionSample value
zh-CNYesMultilingual Chinese content Nested type: <a LangUnit.{"enabled":false,"value":"中文"}
en-USYesMultilingual English content Nested type: <a LangUnit.{"enabled":false,"value":"English"}
zh-TWYesMultilingual Traditional Chinese content Nesting type: <a LangUnit.{"enabled":false,"value":"繁體中文"}
ja-JPYesMultilingual Japanese content Nesting type: <a LangUnit.{"enabled":false,"value":"日本語"}

LangUnit

NameTypeIs it required?DescriptionSample value
enabledbooleanyesWhether it is enabled. If enabled, and the console selects this language, the content will be displayed. (Default is off)
valuestringyesMultilingual content

Agent infrastructure for identity, memory, and web action.